summaryrefslogtreecommitdiff
path: root/unclean.d
diff options
context:
space:
mode:
authorJoey Hess <joeyh@debian.org>2013-07-31 11:33:45 -0400
committerJoey Hess <joeyh@debian.org>2013-07-31 11:33:45 -0400
commitfdeec420b54e252e611c353ce39fe61c924e3e7d (patch)
tree2a1974e6c8cc56263e3903f49ea2a841ea895c6d /unclean.d
etckeeper (1.7) unstable; urgency=low
* Fix hilarious typo hardcoding my name. Closes: #718425 # imported from the archive
Diffstat (limited to 'unclean.d')
-rwxr-xr-xunclean.d/50test12
-rw-r--r--unclean.d/README2
2 files changed, 14 insertions, 0 deletions
diff --git a/unclean.d/50test b/unclean.d/50test
new file mode 100755
index 0000000..e52003f
--- /dev/null
+++ b/unclean.d/50test
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ]; then
+ [ -d .git ] && [ -n "`git status --porcelain`" ]
+elif [ "$VCS" = hg ]; then
+ [ -d .hg ] && ! hg status 2>&1 | wc -l | grep -q "^0$"
+elif [ "$VCS" = bzr ]; then
+ [ -d .bzr ] && ! bzr version-info --custom --template="{clean}\n" | grep -q "^1$"
+elif [ "$VCS" = darcs ]; then
+ [ -d _darcs ] && darcs whatsnew -l >/dev/null
+fi
diff --git a/unclean.d/README b/unclean.d/README
new file mode 100644
index 0000000..74bfbdd
--- /dev/null
+++ b/unclean.d/README
@@ -0,0 +1,2 @@
+Files in this directory are used to test if the working copy has
+uncommitted changes.